Package org.jboss.resteasy.annotations.security.doseta

## Annotation Type Signed

-     @Target(METHOD)
      @Retention(RUNTIME)
      public @interface Signed

  Convenience annotation that triggers the signing of a request or response using the DOSETA specification. Will create a Doseta-Signature header.

  By default simple canonicalization will be used for both header and body.

  Private keys are never discovered via DNS.

  The private key used to sign is discovered in the KeyRepository via an alias of (selector + ".")? + "_domainKey." + domain - Same as the doseta specification

  If you want more fine-grain control over the signature header then you must create your own DosetaSignature instances and pass it with the request or response you want to sign.

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    `KeyRepository`

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `String` | `algorithm` |
    `String` | `domain` | If there is no domain, then abort.
    `After` | `expires` |
    `String` | `selector` | A default may be used if not set.
    `boolean` | `timestamped` | Will calculate and add a timestamp

- - ### Element Detail

    - #### algorithm

          String algorithm

      Default:
        ""

  - - #### domain

          String domain

      If there is no domain, then abort.

      If not set, the runtime may set a default domain. See documentation for details.

      Returns:
        domain
      Default:
        ""

  - - #### selector

          String selector

      A default may be used if not set. See documentation for more details.
      Returns:
        selector
      Default:
        ""

  - - #### timestamped

          boolean timestamped

      Will calculate and add a timestamp
      Returns:
        calculate and add a timestamp
      Default:
        false

  - - #### expires

          After expires

      Default:
        @org.jboss.resteasy.annotations.security.doseta.After